<template>
    <div  class="v-select relative" v-click-outside="onClickOutside">
        <button @click="logoutShow=true"  class="
            flex
            cursor-pointer
            w-[37px]
            p-[4px]
            h-[37px]
            justify-center
            bg-white
            rounded-[100%]
          " type="button">
            <img src="@/assets/plogo-removebg-preview.png" alt="user photo" />
        </button>
        <!-- Dropdown menu -->
        <div  :class="{ hidden: !logoutShow}" class="
            absolute
            right-1
            mt-3
            z-10
            w-[250px]
            h-[300px]
            bg-white
            rounded-[20px]
            shadow
            dark:bg-gray-700 dark:divide-gray-600">
            <div class="py-3 px-4 text-sm text-gray-900 dark:text-white text-center">
                <div class="
                ml-[60px]
                w-[90px]
                p-[10px]
                h-[90px]
                justify-center
                bg-white
                rounded-[100%]">
                    <img class="w-full" src="@/assets/plogo.png" />
                </div>
                <div class="font-medium truncate">LH Pawnshop</div>
                <div>info@lhp.com</div>
                <div class="pt-5">
                    <button type="button" class="
                  text-gray-900
                  bg-white
                  border border-gray-300
                  focus:outline-none
                  hover:bg-gray-100
                  focus:ring-4 focus:ring-gray-200
                  font-medium
                  rounded-full
                  text-sm
                  px-5
                  py-2.5
                  mr-2
                  mb-2
                  dark:bg-gray-800
                  dark:text-white
                  dark:border-gray-600
                  dark:hover:bg-gray-700
                  dark:hover:border-gray-600
                  dark:focus:ring-gray-700
                ">
                        Manage your account
                    </button>
                </div>
            </div>
            <hr class="p-1 border-[#F3F3F3]">
            <div @click="onLogout" class="py-1 justify-center ml-[70px] pt-3">
                <button type="button" class="
                text-white
                bg-green-500
                border border-gray-300
                focus:outline-none
                hover:bg-green-700
                focus:ring-4 focus:ring-gray-200
                font-medium
                rounded-lg
                text-sm
                px-5
                py-2.5
                mr-2
                mb-2
                dark:bg-gray-800
                dark:text-white
                dark:border-gray-600
                dark:hover:bg-gray-700
                dark:hover:border-gray-600
                dark:focus:ring-gray-700
              ">
                    Logout
                </button>
            </div>
        </div>
    </div>
</template>
<script>
import { mapActions } from "vuex";

export default {
    name: "VProfile",
    data: () => ({
        logoutShow: false
    }),
    methods: {
        ...mapActions("Auth", ["onLogout"]),
        onClickOutside() {
            this.logoutShow = false;
        }
    }
}
</script>